gmp (2:6.1.2+dfsg-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2021-43618.patch: prevent integer overflow in
    function mpz_inp_raw in mpz/inp_raw.c on 32-bit platforms.
    - CVE-2021-43618

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 11 Oct 2022 19:56:25 +0200

gmp (2:6.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jan 2018 13:50:55 +0100

gmp (2:6.1.2+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols for ia64 (Closes: #885907)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 15 Jan 2018 13:06:20 +0100

gmp (2:6.1.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols for nios2, thanks Helmut Grohne (Closes: #814671)
  * Update symbols for tilegx, thanks Helmut Grohne (Closes: #850010)
  * Update symbols for sh3, thanks Adrian Glaubitz (Closes: #851895)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 29 Sep 2017 02:22:49 +0200

gmp (2:6.1.2+dfsg-1) unstable; urgency=medium

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Dec 2016 23:39:47 -0600

gmp (2:6.1.1+dfsg-1) unstable; urgency=medium

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Fri, 24 Jun 2016 20:57:33 -0500

gmp (2:6.1.0+dfsg-2) unstable; urgency=medium

  * libgmp10.symbols: mark __gmpn_clz_tab as optional -- it is
    architecture dependent and just changed from defined to undefined for
    armel and armhf.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Nov 2015 05:12:15 -0600

gmp (2:6.1.0+dfsg-1) unstable; urgency=medium

  * New upstream.
    - patches/arm-asm-nothumb.patch:
    - patches/4a6d258b467f.patch: Remove.  Applied upstream.

  * libgmp10.symbols: updated for new release.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Nov 2015 11:14:18 -0600

gmp (2:6.0.0+dfsg-7) unstable; urgency=medium

  * control: Drop recommends libstdc++ (Closes: #781196).  Suggest gmp-doc
    (Closes: #735545).

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Jul 2015 16:51:16 -0500

gmp (2:6.0.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use filter instead of finstring (Closes: #758438)

 -- Aron Xu <aron@debian.org>  Mon, 18 Aug 2014 03:39:42 +0800

gmp (2:6.0.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Update symbols and pass ABI=64 for mips64(el) (Closes: #748319)
  * Update symbols for powerpcspe (Closes: #750478)

 -- Aron Xu <aron@debian.org>  Sun, 17 Aug 2014 20:38:32 +0800

gmp (2:6.0.0+dfsg-4) unstable; urgency=medium

  * Update symbols for sparc.
  * Update symbols for m68k.
  * Correct alpha symbols.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 08:42:56 +0100

gmp (2:6.0.0+dfsg-3) unstable; urgency=medium

  * Thanks Jordi for awesome NMUs! =)
  * Apply changes from colin/ubuntu:
    - Recommend libstdc++-4.8-dev as a real alternative for the virtual
    libstdc++-dev.
  * Cherry-pick patch from upstream to fix up ppc64el missing
    BMOD_1_TO_MOD_1_THRESHOLD define.
  * Fix up arm64 & ppc64 & ppc64el symbols thanks to Adam Conrad.
  * Update symbols for alpha.
  * Update symbols for sh4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 03:23:17 +0100

gmp (2:6.0.0+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload. Third time's a charm... I hope.
  * Extend libgmp10.symbols with symbols for all official Debian
    architectures, plus arm64, hppa and sparc64 from debian-ports.org.
  * Revert usage of dpkg-gensymbols -c4, at least for now.

 -- Jordi Mallach <jordi@debian.org>  Sun, 27 Apr 2014 18:50:38 +0200

gmp (2:6.0.0+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arch overrides for three symbols that are not available on
    every architecture, and check they were all available in 5.0.1.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 20:00:14 +0200

gmp (2:6.0.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a .symbols file, as provided by Magnus Holmgren (closes: #745233).
  * Pass -c4 to dpkg-gensymbols to detect future symbol changes.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 16:40:35 +0200

gmp (2:6.0.0+dfsg-2) unstable; urgency=medium

  * patches/arm-asm-nothumb.patch: Don't use assmbly on ARM Thumb
    devices.  Closes: #742814

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Apr 2014 23:39:40 -0500

gmp (2:6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream.  Closes: #742564.
  
  * copyright: Updated to reflect new dual-licensing (LGPLv3+ or GPLv2+).
    Closes: #741607.

 -- Steve M. Robbins <smr@debian.org>  Mon, 24 Mar 2014 22:14:05 -0500

gmp (2:5.1.3+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * patches/preserve-ia64-registers.patch:
  * patches/mpn_sbpi1_div.patch: Remove.  Applied upstream.

  * control: Update Standards-Version to 3.9.5.
  
  * watch: New watch file from bartm.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Dec 2013 14:51:41 -0600

gmp (2:5.1.2+dfsg-3) unstable; urgency=low

  * patches/mpn_sbpi1_div.patch: New.  Upstream patch to fix computation
    of mpn_sbpi1_div_qr_sec and mpn_sbpi1_div_r_sec.
  
  * Remove lib32gmp* packages.  Closes: #714998.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Sep 2013 13:52:27 -0500

gmp (2:5.1.2+dfsg-2) unstable; urgency=low

  * rules: Install gmp.h into multi-arch include directory.  For
    libgmp32-dev, header installed into /usr/include/gmp32/$(triplet).
    Closes: #675577.

  * rules(lib32gmp-dev): Don't ship libtool .la files.
  
  * Remove lib64gmp* packages.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Jun 2013 22:38:49 -0500

gmp (2:5.1.2+dfsg-1) unstable; urgency=low

  * New upstream.
    - reduced SQR_TOOM2_THRESHOLD to 30.  Closes: #706984.
  
  * patches/preserve-ia64-registers.patch: New.  Upstream patch to
    preserve registers.  Closes: #708264.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 May 2013 23:23:44 -0500

gmp (2:5.1.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 May 2013 20:38:15 -0500

gmp (2:5.1.1+dfsg-2) experimental; urgency=low

  * rules: Need to set ABI=x32 at configure time.  Closes: #698000.
  
  * Change to source format 3.0 (quilt).

 -- Steve M. Robbins <smr@debian.org>  Sun, 17 Mar 2013 21:54:08 -0500

gmp (2:5.1.1+dfsg-1) experimental; urgency=low

  * New upstream.
    - added support for x32.  Closes: #698000.
  
  * fix-gmp.sh: Add support for __aarch64__ (closes: #693467).

 -- Steve M. Robbins <smr@debian.org>  Mon, 18 Feb 2013 18:01:16 -0600

gmp (2:5.1.0+dfsg-1) experimental; urgency=low

  * New upstream.
  
  * rules: Use hardening build flags.  

  * control: Update to debhelper compat level 9.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 Dec 2012 23:52:36 -0600

gmp (2:5.0.5+dfsg-2) unstable; urgency=low

  * Revert to FAT binary situation of 5.0.4: disabled for amd64,
    kfreebsd-amd64, and lpia; enabled for all other architectures.
  
  * control: Mark libgmp-dev as "Multi-arch: same", requested by Wookey
    http://lists.alioth.debian.org/pipermail/debian-science-maintainers/2012-May/013386.html

 -- Steve M. Robbins <smr@debian.org>  Fri, 01 Jun 2012 17:22:56 -0500

gmp (2:5.0.5+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert to --disable-fat, as it seems to cause gcc to abort on some
    machines (closes: #671866)

 -- Julien Cristau <jcristau@debian.org>  Tue, 08 May 2012 19:24:03 +0200

gmp (2:5.0.5+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * rules: Always built FAT binary, on advice from upstream.  By default,
    GMP compiles for the CPU it detect at configure time.  But with
    --enable-fat it detects the CPU at run time.  This is important for
    cpu-dependent workarounds.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 May 2012 12:24:35 -0500

gmp (2:5.0.4+dfsg-1) unstable; urgency=low

  * New upstream version.
    - Fix for buffer overruns.  Closes: #658821.

  * rules: add build-arch, build-indep rules.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Feb 2012 11:41:31 -0600

gmp (2:5.0.3+dfsg-1) unstable; urgency=low

  * New upstream version.  Supports s390x.
  
  * patches/s390x.patch: Remove.
  * patches/upstream-dcpi1_bdiv_q.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 02:43:35 -0600

gmp (2:5.0.2+dfsg-2) unstable; urgency=low

  * gmp.h: Add case for s390x.
  
  * control: Add Breaks relations from libgmp-dev to force upgrade of
    packages that relied on libgmp.la (thanks, Jonathan Nieder).  Closes:
    #645475.

  * rules: Remove .la file from the libgmp-dev package.  Anyone relying on
    it would not be able to find it after it moved from /usr/lib to
    /usr/lib/<arch>, anyway  (thanks, Jonathan Nieder).

 -- Steve M. Robbins <smr@debian.org>  Wed, 19 Oct 2011 22:42:12 -0500

gmp (2:5.0.2+dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #627012.
  
  * rules: Empty dependency_libs.  Closes: #633312.
  
  * orig-source.patch: New.  
  * patches/s390x.patch: New. 
  * rules: Patches to enable building on s390x (thanks, Andreas Krebbel).
    Closes: #635461.
  
  * patches/upstream-dcpi1_bdiv_q.patch.  New.  Upstream fix: There is a
    GMP bug in mpn/generic/dcpi1_bdiv_q.c that causes incorrect
    computation with extremely low probability, for unnormalised
    dividends. The bug might also result in a decrement of memory above
    dividends, with some potential security impact. The bug might affect
    several user-level routines, e.g., mpz_invert, but only for operands
    of at least 3000 bits (for smaller operands, a simpler algorithm is
    used).
  
  * control:
  * rules: Apply patch (thanks, Riku Voipio) for multiarch, except we do
    not mark libgmp-dev as multiarch.  Closes: #638959.

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Aug 2011 23:06:19 -0500

gmp (2:5.0.1+dfsg-7) unstable; urgency=low

  [ Peter Pearse ]
  * For cross builds, strip GNU_TYPES & pass --target.  Closes: #605038.

  [ Steve Langasek ]
  * We don't need to use $(strip), just avoid having whitespace in the first
    place.
  * For that matter, this s/i386/i486/ substitution is entirely unnecessary
    to begin with; the DEB_HOST_GNU_TYPE is already i486 on Debian, and i686
    on Ubuntu.  So as long as we're modifying this line, let's simplify it
    some more.

  [ Steve Robbins ]
  * control: Make libgmp-dev, and lib{32,64}-dev real packages, providing
    virtual packages libgmp10-dev, etc.  Add real package libgmp3-dev, a
    dummy package to pull in libgmp-dev.  Required to ease transition of
    mlton because it build-depends on itself and on versioned libgmp3-dev.
    See http://lists.debian.org/debian-release/2011/03/msg00374.html.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Mar 2011 22:00:03 -0500

gmp (2:5.0.1+dfsg-6) unstable; urgency=low

  * control: libgmp10-dev provides the old libgmp3-dev package.  This is a
    temporary measure to ease the transition for ghc, which build-depends
    on itself as well as libgmp3-dev; c.f.
    http://lists.debian.org/debian-haskell/2011/03/msg00013.html

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Mar 2011 09:38:56 -0600

gmp (2:5.0.1+dfsg-5) unstable; urgency=low

  * Merge the v5 branch back to trunk.

  * Package libgmp10-dev also provides libgmp-dev so you can build-depend
    on an unversioned GMP -dev package.
  
  * Remove archaic MP compatibility library (libmp3 and 32/64-bit
    variants).
  
  * control: Set Standards-Version to 3.9.1.
    - rules: don't build with -D_REENTRANT

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 Mar 2011 10:25:02 -0600

gmp (2:5.0.1+dfsg-4) experimental; urgency=low

  * rules: Build with -O2 on ia64, to work around ICE
    (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=43603).

 -- Steve M. Robbins <smr@debian.org>  Mon, 14 Feb 2011 21:39:01 -0600

gmp (2:5.0.1+dfsg-3) experimental; urgency=low

  [ Sylvestre Ledru ]
  * Package moved to Debian Science.
  
  * gmp.h: Add support for __m68k__ (thanks, Thorsten Glaser).  
    Closes: #601287.
  
  * libgmp3-doc.examples:
  * libgmp3-doc.README.Debian: Rename to libgmp10-doc.xxx.
  
  * libgmp3.prerm: Remove obsolete file.  Was used to remove /usr/doc/xxx
    symlinks from back at the time of the /usr/doc --> /usr/share/doc
    transition.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Nov 2010 17:55:15 -0500

gmp (2:5.0.1+dfsg-2) experimental; urgency=low

  * control: 
  * rules: New packages libmp3, lib32mp3, lib64mp3.  Split library mp
    out from the libgmp package as they have evolved to use different
    major numbers now.  Make libgmp10-dev conflict & replace libgmp3-dev
    packages; ditto for 32-bit and 64-bit variants.  Closes: #570225.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Feb 2010 03:31:42 -0600

gmp (2:5.0.1+dfsg-1) experimental; urgency=low

  * New upstream release.  Library gmp SOVERSION bumped from 3 to 10.
  
  * control: New packages (libgmp10, libgmp10-dev, etc) replace
    corresponding packages due to SOVERSION change.  Drop some
    now-obsolete conflicts on libgmp3 and libgmp2 pacakges.
    Bump Standards-Version to 3.8.4.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Feb 2010 11:04:56 -0600

gmp (2:5.0.0+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Jan 2010 19:38:41 -0600

gmp (2:4.3.2+dfsg-2) UNRELEASED; urgency=low

  * Package moved to Debian Science

  [ Steve M. Robbins ]
  * control: Set Standards-Version to 3.8.3.  Add ${misc:Depends} to each package.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Apr 2010 14:24:45 +0200

gmp (2:4.3.2+dfsg-1) unstable; urgency=low

  * New upstream version.
    - patches/fix-lib-versioning.patch: Remove.  Libraries are properly
    versioned.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Jan 2010 00:27:30 -0600

gmp (2:4.3.1+dfsg-3) unstable; urgency=low

  * rules: On amd64, install 32-bit libs in /usr/lib32.  Closes: #533849.
  * control: Conflict with libc6-i386 versions prior to change removing
    /emul/ia32-linux/lib; see #533849 for details.

 -- Steve M. Robbins <smr@debian.org>  Mon, 03 Aug 2009 11:09:08 -0500

gmp (2:4.3.1+dfsg-2) unstable; urgency=low

  * rules: Explicitly set NM for the powerpc 64-bit build.  Disable FAT
    binary for kfreebsd-amd64.  Closes: #537072.  Remove bashism (touch
    Makefile.{am,in}).  Closes: #535383.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Jul 2009 05:16:25 -0500

gmp (2:4.3.1+dfsg-1) unstable; urgency=low

  * New upstream.
    - Incorporate previous NMU patch.  Closes: #528923.
    - Remote patches applied upstream: mpf_eq.diff, mpf_set_str.c.4.diff, 
      perfpow.c.diff
    - Upstream includes fix for scanf/sscanffuns.c.  Closes: #523076.

  * gmp.h: Add case for SH processor.  Closes: #530747.  Add case for
    AVR32.  Closes: #528511.
  
  * patches/fix-lib-versioning.patch: New.  Fix versioning of shared libs;
    c.f. http://gmplib.org/list-archives/gmp-bugs/2009-May/001475.html.

 -- Steve M. Robbins <smr@debian.org>  Fri, 29 May 2009 21:42:35 -0500

gmp (2:4.2.4+dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build libgmp3c2 as 64bit library on powerpc.
    Closes: #528768, #528840.

 -- Matthias Klose <doko@debian.org>  Sat, 16 May 2009 13:39:16 +0200

gmp (2:4.2.4+dfsg-8) unstable; urgency=low

  * Upload of -7 to unstable.  No source changes.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2009 10:03:22 -0500

gmp (2:4.2.4+dfsg-7) experimental; urgency=low

  * control:
  * rules: Do not build multilibs for sparc.  Closes: #522524.  Reinstate
    64-bit libs for powerpc since last change reintroduced bugs #454494,
    and #506791.  Build lib64* packages only for powerpc.

  * gmp.h: Add case for mips.
  
 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Apr 2009 00:15:56 -0500

gmp (2:4.2.4+dfsg-6) experimental; urgency=low

  * gmp.h: Add cases for arm, hppa, sparc.  
  
  * control:
  * rules: Do not build multilibs for i386, powerpc, s390.  Closes:
    #522460.

 -- Steve M. Robbins <smr@debian.org>  Fri, 03 Apr 2009 23:54:21 -0500

gmp (2:4.2.4+dfsg-5) experimental; urgency=low

  * rules: Support bi-arch builds (32 and 64 bit) where possible.  
    Closes: #454494, #506791.
  
  * control: Standards-Version 3.8.1; no changes.

 -- Steve M. Robbins <smr@debian.org>  Thu, 02 Apr 2009 22:57:14 -0500

gmp (2:4.2.4+dfsg-4) experimental; urgency=low

  * rules: Add --build and --host options to configure.  Supply jobs
    option (-jN) only to initial make rather than setting MAKEFLAGS.  Run
    test suite if build machine is same as target machine.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Mar 2009 03:43:27 -0500

gmp (2:4.2.4+dfsg-3) experimental; urgency=low

  * rules: Revert to debhelper in preparation for building 32- and 64-bit
    flavours on amd64 and ppc.  Upload to experimental to check that the
    package builds across all arches.

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Mar 2009 23:31:22 -0600

gmp (2:4.2.4+dfsg-2) unstable; urgency=low

  * patches/mpf_eq.diff:
  * patches/mpf_set_str.c.4.diff:
  * patches/perfpow.c.diff: New.  Patches from upstream http://gmplib.org/

 -- Steve M. Robbins <smr@debian.org>  Tue, 24 Feb 2009 18:21:42 -0600

gmp (2:4.2.4+dfsg-1) experimental; urgency=low

  * New upstream version.  Closes: #499632.
  
  * Set Standards-Version to 3.8.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Sep 2008 00:22:19 -0500

gmp (2:4.2.3+dfsg-1) experimental; urgency=low

  * New upstream version.  Upload to experimental to avoid interfering
    with Lenny release.
  * debian/patches/01_gmp.h-std-file.diff:
  * debian/patches/02_noexec-stack.diff:
  * debian/patches/03_gnu89-inline.diff: Removed.  Applied upstream.
  
  * debian/README.source: New.  Describe how to use simple patchsys.

  * debian/rules: New target get-orig-source.  Target runs autoreconf
    before generating the .orig.tar.gz file, so we remove
    DEB_AUTO_UPDATE_AUTOCONF and DEB_AUTO_UPDATE_AUTOMAKE settings.
  * debian/control: Remove build-dependency on automake, autoconf, and
    libtool.
  
  * Switch to Debian-Scicomp subversion repository.
  * debian/control: Add Vcs-Browser and Vcs-Svn fields.  Change maintainer
    to pkg-scicomp-devel, change uploaders to me.
  
  * debian/rules: Base decision for --disable-fat on DEB_HOST_ARCH_CPU
    instead of DEB_HOST_ARCH, to build on freebsd-amd64.  Closes: #490555.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Aug 2008 16:43:50 -0500

gmp (2:4.2.2+dfsg-3) unstable; urgency=low

  * debian/rules:
  * debian/control: Move from automake 1.8 to automake 1.9.  
    Closes: #473306.
  
  * debian/patches/03_gnu89-inline.diff: Add gnu_inline function attribute
    to extern inline functions.  Closes: #430598.  
    Patch courtesy of Ludovic Courtès; see
    http://gmplib.org/list-archives/gmp-bugs/2008-April/000980.html.

  * debian/rules: Install upstream changelog only in -dev package.
    Closes: #442895.
  
  * debian/control: Replace Source-Version by binary:Version.  Bump
    Standards-Version from 2.7.2 to 2.7.3; no changes required.  Add
    HomePage field.
  
  * debian/copyright: Freshen; include copyright statement.

 -- Steve M. Robbins <smr@debian.org>  Wed, 09 Apr 2008 01:15:29 -0500

gmp (2:4.2.2+dfsg-2) unstable; urgency=low

  * gmp-h.in: include cstdio to obtain std::FILE.  Closes: #463187.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Feb 2008 03:08:02 -0600

gmp (2:4.2.2+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Remove patches: 01_libversion, 03_x86-fat, 04_gcc4.3-inline, and
    05_remove-docs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Sep 2007 21:45:17 -0500

gmp (2:4.2.1+dfsg-6) unstable; urgency=low

  * debian/rules:
  * debian/patches: Rework packaging using cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Sep 2007 15:11:21 -0500

gmp (2:4.2.1+dfsg-5) unstable; urgency=low

  * debian/control: Rename libgmpxx4 to libgmpxx4ldbl.  Closes: #430253.
  Set Standards-Version to 3.7.2; no changes.
  
  * Apply patch gcc4.3-inline.diff
    (http://gmplib.org/list-archives/gmp-devel/2007-May/000745.html).
    Closes: #431495.

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Jul 2007 00:05:28 -0500

gmp (2:4.2.1+dfsg-4) unstable; urgency=high

  * Build with -O0 on m68k due to a bug in gcc-4.1.  Closes: #378719.

 -- Steve M. Robbins <smr@debian.org>  Wed, 19 Jul 2006 22:06:09 -0400

gmp (2:4.2.1+dfsg-3) unstable; urgency=high

  * Disable fat support for amd64, as it is broken upstream.  Thanks to
    Steinar H. Gunderson for initial version of patch.  Closes: #376353.

 -- Steve M. Robbins <smr@debian.org>  Mon, 17 Jul 2006 23:15:30 -0400

gmp (2:4.2.1+dfsg-2) unstable; urgency=low

  * Enable fat libraries.  Closes: #362759.  Applied patch
    debian/patches/x86-fat.diff, adapted from
    http://www.swox.com/gmp/patches/x86-fat.diff.

 -- Steve M. Robbins <smr@debian.org>  Fri, 30 Jun 2006 22:34:47 -0400

gmp (2:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * Fix SONAME on libgmpxx.  Closes: #368310.
    - introduces package libgmpxx4.
  
  * A test case miscompiles with -O3.  Build with -O2.  Closes: #372563.
  
  * Do not install private headers.  Closes: #363692.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Jun 2006 21:20:03 -0400

gmp (4.2.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #359147, #362273.
    - Remove all patches except gmp-4.2-noexecstack_cfgs.diff for
      non-executable stack.

  * Remove non-DFSG documentation.  Closes: #335403.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Apr 2006 02:34:55 -0400

gmp (4.1.4-11) unstable; urgency=low

  * Apply two more upstream patches:
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPF_SIGNIFICANT_DIGITS.diff
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPN_SIZEINBASE.diff

  * Apply patch for big-endian ARM (thanks, Lennert Buytenhek).
  Closes: #333612.
  
  * Apply patch to turn off executable stack (thanks, Sheplyakov Alexei).
  Closes: #323944.
  
  * Run "autoreconf" to update autotools files.  Closes: #304635.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Oct 2005 23:13:04 -0400

gmp (4.1.4-10) unstable; urgency=low

  * debian/rules: provide only libgmp3c2 in libgmp3c2.shlib file.
    Closes: #322691

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Aug 2005 13:38:00 -0400

gmp (4.1.4-9) unstable; urgency=low

  * Build with -O2 on m68k (thanks, Matthias Klose and Laurent Fousse).
    Closes: #319205.

 -- Steve M. Robbins <smr@debian.org>  Sun,  7 Aug 2005 23:23:08 -0400

gmp (4.1.4-8) unstable; urgency=low

  * Re-release to fix i386 build.  The -7.1 upload was built
  against a non-existent libstdc++6.  Closes: #317636.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jul 2005 09:42:44 -0400

gmp (4.1.4-7.1) unstable; urgency=medium

   * NMU.
   * debian/rules: Fix typo in dh_makeshlibs, referencing a non existing
     package.

 -- Matthias Klose <doko@debian.org>  Sat, 9 Jul 2005 18:22:58 +0200

gmp (4.1.4-7) unstable; urgency=low

  * CXX transition (thanks to Matthias Klose for patches):
    - Split out the C++ library into package libgmp3xx.  Closes: #311610.
    - Rename libgmp3 to libgmp3c2, otherwise packages relying on the C++
      library in libgmp3 will break.

 -- Steve M. Robbins <smr@debian.org>  Fri,  8 Jul 2005 23:38:22 -0400

gmp (4.1.4-6) unstable; urgency=low

  * mpn/generic/rootrem.c: Fix buffer overrun in mpz_root(), mpz_rootrem().
    Upstream patch: http://www.swox.com/gmp/patches/mpn_rootrem.c.diff
  
  * debian/FAQ: New; taken from http://www.swox.com/gmp.  Explains
    the segfaulting problem.  Closes: #284978.

 -- Steve M. Robbins <smr@debian.org>  Fri,  8 Apr 2005 20:13:58 -0400

gmp (4.1.4-5) unstable; urgency=low

  * debian/rules: Don't run test suite when cross-compiling
  (thanks, NIIBE Yutaka).  Closes: #282060.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Nov 2004 09:21:11 -0500

gmp (4.1.4-4) unstable; urgency=low

  * debian/rules: Don't package gmp-developer docs.
  * debian/README.Debian: Clarify that the primary documentation consists
    of info files.  Closes: #276856.
  
  * debian/control: Suggest libmpfr-dev (now available in the Debian
    archive).  Closes: #278005.

 -- Steve M. Robbins <smr@debian.org>  Sun, 24 Oct 2004 03:22:47 -0400

gmp (4.1.4-3) unstable; urgency=low

  * debian/rules: Do not build mpfr library; it will be packaged
    separately from an updated source (see bug #276085).
  
  * debian/rules: Install some internal headers needed to build mpfr.

 -- Steve M. Robbins <smr@debian.org>  Wed, 13 Oct 2004 00:15:01 -0400

gmp (4.1.4-2) unstable; urgency=high

  * gmp-impl.h: Apply patch to fix build on amd64
    (http://swox.com/list-archives/gmp-discuss/2004-September/001376.html)
    (thanks, Torbjorn Granlund).  Closes: #275129.
  
  * debian/rules: Add "make check".

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Oct 2004 14:39:03 -0400

gmp (4.1.4-1) unstable; urgency=low

  * New upstream version.  Closes: #272930.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Oct 2004 14:38:49 -0400

gmp (4.1.3-3) unstable; urgency=low

  * mpf/sub.c: Apply patch http://www.swox.com/list-archives/gmp-announce/2004-July.txt
  to fix mpf_sub().  Closes: #263861.

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Aug 2004 23:07:23 -0400

gmp (4.1.3-2) unstable; urgency=low

  * debian/control: Weaken the relationship of libgmp3-dev with libstdc++-dev 
  from "depends" to "recommends" as it is perfectly possible to develop
  on a C-only system.  Closes: #254265.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 Jul 2004 22:14:44 -0400

gmp (4.1.3-1) unstable; urgency=low

  * New upstream.  Closes: #248317.
    - debian/rules: The FFT bug (#234984) has been fixed, so we configure
      with fft again.
  
  * Update to standards version 3.6.1
    - debian/rules: Set LDFLAGS to '-Wl,-z,defs' so that any undefined
      reference in building the shared libs is flagged.
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 16 May 2004 00:30:32 -0400

gmp (4.1.2-4) unstable; urgency=low

  * Configure using --disable-fft; a workaround for a critical bug in FFT
    multiply code.  Closes: #234984.
  
  * debian/rules: Do not install /usr/share/info/dir*.  Closes: #219599.

 -- Steve M. Robbins <smr@debian.org>  Wed, 17 Mar 2004 20:01:01 -0500

gmp (4.1.2-3) unstable; urgency=low

  * control: Build-depend on debhelper (>=4.1.1) since we use dh_shlibdeps -L
    (thanks, Bill Allombert).  Closes: #188037.  Set Standards-Version to
    3.5.9 (no changes).  Move libgmp3-dev to libdevel-section.

  * Back out of the changes to ltmain.sh (libtool), mpn/Makeasm.am,
    and all the associated autotools-generated files (configure,
    Makefile.in, etc).  Kevin Ryde explained that in fact gmp ships
    with a newer ltmain.sh than exists in Debian, and it is necessary
    to use the newer version to have libgmpxx correctly linked with
    g++ rather than gcc.  See the discussion in bug #143543.  Thanks,
    Kevin!
  
  * Remove pa32 EPILOGUE statement patches.  Closes: #186786.
  
  * gmp-impl.h: Add __s390__ case for the ieee_double_extract union
    #ifdefs.  Corrects a build failure.  Thanks, Kevin Ryde.
  
  * mpfr/rnd_mode.c: #ifdef around each case in mpfr_set_machine_rnd_mode().
    Corrects build failure on arm.  Thanks again, Kevin Ryde.

  * debian/README.Debian: Don't mention C++ interface package.

  * debian/rules: Remove commented-out debhelper cruft.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Apr 2003 13:00:03 -0400

gmp (4.1.2-2) unstable; urgency=low

  * Could find no debian packages that rely on internal GMP headers
    being installed.  Do not install longlong.h (closes: #184540)
    nor gmp-mparam.h (closes: #184543).
  
  * Build C++ libraries.  Closes: #143543.  
    Requires updated libtool in order to correctly support inter-library
    dependency.  Had to re-run all the autotools, so the diff is much
    larger, alas.
  
  * debian/rules: Remove m68k compiler bug workaround.  Closes: #186787.
  
  * mpn/Makeasm.am: Remove "--tag=CC" from libtool invocation as new libtool
    does not grok --tag.
  
  * configfsf.guess:
  * configfsf.sub: Update with newest version of file in /usr/share/misc.
  
  * Build MPFR library.

 -- Steve M. Robbins <smr@debian.org>  Fri,  4 Apr 2003 23:15:59 -0500

gmp (4.1.2-1) unstable; urgency=low

  * New maintainer team.
  
  * New upstream source.
    Closes:  #158397.
  
  * Adhere to policy version to 3.5.8.
  
  * Make -dev package depend on ${Source-Version} of library package.
    Closes: #146604.
  
  * Make -doc package replace old libgmp3 packages that formerly held
    the info files.
  
 -- Steve M. Robbins <smr@debian.org>  Wed, 26 Feb 2003 19:10:43 -0500

libgmp3 (4.0.1-3) unstable; urgency=low

  * Installed upstream patch to gmp_printf and gmp_scanf. closes: #141879
  * Removed bashism from echo in rules file for shlibs. closes: #141877

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue,  9 Apr 2002 11:10:41 -0400

libgmp3 (4.0.1-2) unstable; urgency=low

  * Installed patch provided by LaMont Jones for hppa. closes: #140816
  * Added GFDL information to the copyright file. closes: #141411
  * Typo in last changelog entry for wrong bug number. closes: #123659

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sun,  7 Apr 2002 15:20:00 -0400

libgmp3 (4.0.1-1) unstable; urgency=low

  * New upstream source. closes: #133279
  *    changed CNFL option "target" to "build".
  *    provides compilable examples. closes: #123695
  * added >= version to shlibs file. closes: #70754
  * libgmp4-dev Suggests: libgmp4-doc. closes: #130864
  * Removed old libgmp3.so symlinks from lib and -dev package.

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 12 Mar 2002 17:57:18 -0500

libgmp3 (3.1.1-13) unstable; urgency=low

  * REALLY removed gmp-impl.h instead of gmp_impl.h. closes: #110758

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sun, 16 Dec 2001 23:29:21 -0500

libgmp3 (3.1.1-12) unstable; urgency=low

  * Fixed info entry for mpn-lshift. closes: #77146

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 20 Nov 2001 10:24:31 -0500

libgmp3 (3.1.1-11) unstable; urgency=low

  * corrected typo in copyright file. closes: #118890

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Fri,  9 Nov 2001 18:55:41 -0500

libgmp3 (3.1.1-10) unstable; urgency=low

  * incorporated NMU patch. Thanks John! closes: #112711
  * applied John's get_str.c patch. closes: #112589
  * removed gmp_impl.h. Thanks Steve! closes; #110758

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Fri, 12 Oct 2001 14:38:10 -0400

libgmp3 (3.1.1-9.1) unstable; urgency=low

  * NMU
  * Applied Red Hat patch to fix gmp for IA-64, closes: #112711

 -- John R. Daily <jdaily@progeny.com>  Thu, 11 Oct 2001 09:10:14 -0500

libgmp3 (3.1.1-9) unstable; urgency=low

  * Added patch from Kevin Ryde adding mp to shlibs, closes: #96454
  * Changed priority on -dev to match new overrides file (optional)
  * Added newest config.sub and config.guess files taken from
  *       http://subversions.gnu.org/cgi-bin/cvsweb/config/
  *       closes: #97363
  * Stripped note and comment sections from libs to satisfy lintian

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed, 16 May 2001 11:34:55 -0400

libgmp3 (3.1.1-8) unstable; urgency=low

  * created new package (libgmp3-doc) containing gmp.info and 
  *         additional docs and demos previously in runtime, closes: #96224
  * added README.headers explaining the additional header files in -dev
  * added README.doc to include in runtime and -dev packages
  *         explaining the new location for the documentation files
  * added patch provided by LaMont Jones for PARISC, closes: #96235

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  5 May 2001 19:45:00 -0400

libgmp3 (3.1.1-7) unstable; urgency=low

  * added memory patch for m68k, closes: #96029
  * finally changed priority to match the overrides file...

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed,  2 May 2001 10:15:58 -0400

libgmp3 (3.1.1-6) unstable; urgency=low

  * changed config option to use --enable-mpbsd, creating the
  *    needed mp libs, closes: #93361

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed, 25 Apr 2001 09:04:04 -0400

libgmp3 (3.1.1-5) unstable; urgency=low

  * provided --prefix=/usr to config to properly configure .la file.

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Mon, 23 Apr 2001 10:51:39 -0400

libgmp3 (3.1.1-4) unstable; urgency=low

  * added --enable-bsdmp in configure. closes: #92544
  * added compatablity links for libmp (.a .so). closes: #92545
  * used make install to use libtool on .la libs. closes: #89552

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sun,  8 Apr 2001 13:34:14 -0400

libgmp3 (3.1.1-3) unstable; urgency=low

  * Changed maintainer in control to match key, for maintainer upload credit
  *   closes: #70777, #78501, #79136, #70781, #78819, #79847, #80996
  *   closes: #79283, #71696, #70751
  * Added updated version of config.guess and config.sub closes: #84911

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 27 Feb 2001 05:09:10 -0500

libgmp3 (3.1.1-2) unstable; urgency=low

  * Fixed info file conflict between libgmp2 and libgmp3 closes: #70777
  * Removed acconfig.h (actually *config.h) closes: #78501
  * Removed broken and unneccessary info symlinks closes: #79136
  * Added "Conflicts: libgmp2-dev" closes: #70781, #78819, #79847, #80996, #79283
  * Added libgmp.la to -dev package closes: #71696
  * Added demos and doc to /usr/share/doc/libgmp3 closes #70751
  * Added Build-Depends: m4

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sun, 25 Feb 2001 15:53:26 -0500

libgmp3 (3.1.1-1) unstable; urgency=low

  * new upstream source
  * distclean fixed in upstream source to remove config.cache closes: #70919
  * added --target=`dpkg-architecture -qDEB_BUILD_GNU_TYPE` closes: #70808
  * removed config.h from header files in -dev package closes: #70775
  *                                               also closes: #70748
  * moved ldconfig into 'configure' stage only closes: #70809
  * created /usr/share symlinks as per policy

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 22 Oct 2000 16:09:31 -0400

libgmp3 (3.1.0-1) unstable; urgency=low

  * new upstream source

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 26 Aug 2000 06:46:26 -0400

libgmp2 (2.0.2-6) frozen unstable; urgency=low

  * stripping libgmp2.a creates unsatisfied references by removing
  *   desirable entry points. Stopped stripping this file. (no bug report)
  * removed superfluous /usr/include/gmp2 directory. closes: #56720
  * removed bash file globbing from install commands. closes: #61588

 -- Dale Scheetz <dwarf@polaris.net>  Sun,  9 Apr 2000 04:12:22 -0400

libgmp2 (2.0.2-5) frozen unstable; urgency=low

  * Applied patch from Ben Collins for longlong.h - closes: #59210

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 29 Feb 2000 10:33:30 -0500

libgmp2 (2.0.2-4) unstable; urgency=low

  * Added all header files to /usr/include - closes: #48948
  * Removed /usr/include/gmp2 and replaced links with header files.
  * Applied patch to package description - closes: #51818
  * Added conflict with older -dev packages - closes: #49284 
  * Moved sparc rules patch into all architectures
  *                        (by adding -DPIC to CFLAGS)

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 16 Dec 1999 22:26:19 -0500

libgmp2 (2.0.2-3.1) unstable; urgency=low

  * NMU for sparc, PLEASE INCLUDE THIS PATCH FROM THE BTS!
  * Fixes sparc failure (apparent in ssh when generating 'p')

 -- Ben Collins <bcollins@debian.org>  Sat, 14 Aug 1999 19:11:48 -0400

libgmp2 (2.0.2-3) unstable; urgency=low

  * Compiled against latest potato libc6
  * Corrected line wrap in patch for power-pc: fixes 41303

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 18 Jul 1999 14:47:43 -0400

libgmp2 (2.0.2-2) unstable; urgency=low

  * Returned the mistakenly removed '-Wl,...' option for the linker.
  *           fixes: 38686, 38693, 38786, 38800, 38846, 38849, 38859
  *           fixes: 38664, 38665, 38697
  * Added compatibility links for the old and the new linked programs.
  * Changed cp to install for install scripts, giving proper execute 
  *    permissions with any umask, fixes: 38696
  * Added Conflicts: gmp2, gmp
  *       fixes: 38666, 38683, 38515, 38913, 38773, 38677
  * New Replaces: Conflicts: gmp2-dev, fixes: 38653

 -- Dale Scheetz <dwarf@polaris.net>  Sat,  5 Jun 1999 19:24:10 -0400

libgmp2 (2.0.2-1) unstable; urgency=low

  * Installed the following Daniel Jacobowitz set of patches:
  *
  * * Add patch for powerpc-linux support (fixes bug#31032, bug#31731).
  * * Remove debian/files in clean target (fixes bug#32323).
  * * Add the patches from the author at
  *   <http://www.matematik.su.se/~tege/gmp/> to fix a number of upstream
  *   bugs (fixes bug#26804):
  *   * A typo in mpq_equal makes it fail if the first compared operand is
  *     negative. This patch corrects the problem. Joe Keane found the
  *     problem and wrote the patch.
  *   * Several errors in mpf_set_str and mpf_get_str make these functions
  *     segfault, and possibly generate incorrect results. This also
  *     affects mpf_out_str, mpf_inp_str, and mpf_init_set_str. This
  *     gzip'ed patch fixes these errors.
  *   * A bug in a test case makes ake check' fail using the N32 ABI
  *     under Irix6. Apply this patch to mpz/tests/t-powm_ui.c to fix the
  *     bug. (Note that the N32 ABI isn't really supported in GMP; you
  *     need to pass -n32 -mips3 -D_LONG_LONG_LIMB' manually to make GMP
  *     build correctly.)
  *   * The performance on SPARC is poor because of a typo that causes
  *     some of the assembly code to be omitted. Apply this patch to
  *     mpn/configure.in to fix this.
  *   * A bug in mpz_invert makes it sometimes return a negative result,
  *     and sometimes not detect when an inverse does not exist. Apply
  *     this patch to mpz/invert.c to fix this.
  *   * A bug in mpq_add and mpq_sub makes them work unreliably due to
  *     references outside of allocated memory. Apply this patch to the
  *     mpq subdirectory to fix this.
  *   * A change to GCC (I think from version 2.8) makes GMP fail to build
  *     on IBM RS/6000 computers running AIX. You'll see complaints of
  *     unrecognized assembly instructions. Pass CFLAGS="-g -O2
  *     -mcpu=power" or CFLAGS="-g -O2 -mcpu=powerpc" to ake' to work
  *     around this. (Choose the form that is appropriate for your system;
  *     if you're unsure which processor type you have, try running
  *     config.guess from the GMP top level directory.)
  *   * A bug in mpz_probab_prime_p makes it work unreliably for numbers <
  *     4. Apply this patch to mpz/pprime_p.c to fix the bug.
  * * Update debian/control to reflect that GNU MP is covered by the LGPL,
  *   not the GPL (fixes: bug#21326).
  * * Build libgmp2.so with -fPIC (fixes: bug#17746, bug#20022).
  * * Fix make check to run with a libgmp2.a; run make check during build.
  *
  * In addition to the above patches, the following changes were made:
  *
  * Renamed the package libgmp2, making it conflict with those replaced.
  *                                         fixes: #28923, #28924
  * Remove both debian/file* and debian/substvars* in clean tag. fixes: #32323
  * provide generic links in libgmp2-dev for header files, libgmp.a, and
  *    libgmp.so. Fixes: #25760, #31309
  * Applied the ARM patches delivered by Jim Pick. Fixes: #33740
  * Removed -Wl from makefile.in to conform to policy.

 -- Dale Scheetz <dwarf@polaris.net>  Sun,  4 Apr 1999 22:16:41 -0400

gmp2 (2.0.2-6) unstable; urgency=low

  * Removed: Replaces, Conflicts, and Provides, gmp
  * Modified info files to reflect the new name: removes last overlap

 -- Dale Scheetz <dwarf@polaris.net>  Sun,  8 Mar 1998 17:27:07 -0500

gmp2 (2.0.2-5) unstable; urgency=low

  * Changed linking from static to dynamic, fixes bug#16530, 14345
  * Added dependency information, fixes bug#14060, 15377
  * Properly strip both static and shared libraries, fixes bug#15668
  * Now Provides: gmp, fixes bug#16086
  * gmp2-dev now only Depends: gmp2. Removed Replaces: gmp, Conflicts: gmp

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 18 Jan 1998 10:44:43 -0500

gmp2 (2.0.2-4) unstable; urgency=low

  * split package into gmp2 and gmp2-dev...was gmp

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 22 Nov 1997 18:43:32 -0500

gmp (2.0.2-3) unstable stable; urgency=low

  * Added gmp-mparam.h to /usr/include, bug #9108
  * Fixed copyright to reflect new license, bug #10739
  * Added missing info files to installation, bug #10163
  * Added changelog.Debian.gz and changelog.gz to /usr/doc/gmp

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 25 Jun 1997 14:47:17 -0400

gmp (2.0.2-2) unstable frozen; urgency=low

  * Removed execute bit from libgmp.a and so lib permissions.

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 26 Apr 1997 18:03:49 -0400

gmp (2.0.2-1) unstable; urgency=high

  * Upgraded to new upstream source

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 16 Mar 1997 20:48:20 -0500

gmp (1.3.2-8) unstable; urgency=low

  * bug#6999 fixed, removed executable flag from docs.

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 4 Feb 1997 11:12:07 -0500

gmp (1.3.2-7) unstable; urgency=low

  * bug#6825 fixed .shlibs to use package name instead of library name.

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 30 Jan 1997 09:48:30 -0500

gmp (1.3.2-6) unstable; urgency=low

  * added shlibs to debian/tmp/DEBIAN

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 14 Nov 1996 15:35:34 -0500

gmp (1.3.2-5) unstable; urgency=low

  * fixed debian/rules to get so numbers from the changelog

 -- Dale Scheetz <dwarf@polaris.net>  Fri, 27 Sep 1996 11:34:36 -0400

gmp (1.3.2-4) unstable; urgency=low

  * removed log files from source files to "fix" the diff.

 -- Dale Scheetz <dwarf@polaris.net>  Fri, 20 Sep 1996 09:36:18 -0400

gmp (1.3.2-3) unstable; urgency=low

  * added shared libraries
  * converted to new source format

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 10 Sep 1996 22:43:15 -0400

gmp (1.3.2-2) - dcs

  * Rebuild as ELF
  * New package maintainer: Dale Scheetz <dwarf@polaris.net>

gmp (1.3.2-1)

  * Initial Debian release.

 -- Ian Jackson <iwj10@cus.cam.ac.uk>  Sat, 29 Jul 1995 03:20:19 +0100

